var vm = new Vue({
    el:'#app',
    delimiters:['[[', ']]'],
    data:{
        host,
        username:'',
        password:'',
        remembered:true,
        error_username:false,
        error_password:false,
        error_username_message:'',
        error_password_message:'',
    },
    methods:{
        // 校验用户名
        check_username:function(){
            // 校验正则
            var re = /^[a-zA-Z0-9_-]{5,20}$/;
            if(re.test(this.username)){
                this.error_username = false;
            }
            else{
                this.error_username_message = '请输入5-20个字符的用户名';
                this.error_username = true;
            }
        },
        // 校验密码
        check_pwd:function(){
            var re = /^[0-9A-Za-z]{8,20}$/;
            if(re.test(this.password)){
                this.error_password = false;
            }
            else{
                this.error_password_message = '请输入8-12位的密码';
                this.error_password = true;
            }
        },
        // 提交表单
        on_submit:function(){
            this.check_username();
            this.check_pwd();

            if(this.error_password == true || this.error_username == true){
                window.event.returnValue = false;
            }
        }
    }
});